org.apache.ignite.ml.selection.paramgrid

## Class RandomStrategy

- java.lang.Object
- - org.apache.ignite.ml.selection.paramgrid.HyperParameterTuningStrategy
  - - org.apache.ignite.ml.selection.paramgrid.RandomStrategy

-     public class RandomStrategy
      extends HyperParameterTuningStrategy

  This strategy enables the random search in hyper-parameter space.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxTries()` Returns the max number of tries to stop the hyper-parameter search.
    `String` | `getName()` Returns the name of strategy.
    `double` | `getSatisfactoryFitness()`
    `long` | `getSeed()` Returns the seed.
    `RandomStrategy` | `withMaxTries(int maxTries)` Set up the max number of tries to stop the hyper-parameter search.
    `RandomStrategy` | `withSatisfactoryFitness(double fitness)` Set up the satisfactory fitness to stop the hyper-parameter search.
    `RandomStrategy` | `withSeed(long seed)` Set up the seed number.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RandomStrategy

          public RandomStrategy()

  - ### Method Detail

    - #### getSeed

          public long getSeed()

      Returns the seed.

    - #### withSeed

          public RandomStrategy withSeed(long seed)

      Set up the seed number.
      Parameters:
        `seed` - Seed.

    - #### getSatisfactoryFitness

          public double getSatisfactoryFitness()

    - #### withSatisfactoryFitness

          public RandomStrategy withSatisfactoryFitness(double fitness)

      Set up the satisfactory fitness to stop the hyper-parameter search.
      Parameters:
        `fitness` - Fitness.

    - #### getMaxTries

          public int getMaxTries()

      Returns the max number of tries to stop the hyper-parameter search.

    - #### withMaxTries

          public RandomStrategy withMaxTries(int maxTries)

      Set up the max number of tries to stop the hyper-parameter search.
      Parameters:
        `maxTries` - Max tries.

    - #### getName

          public String getName()

      Returns the name of strategy.
      Specified by:
        `getName` in class `HyperParameterTuningStrategy`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023